<?php

namespace TelegramApi\Types;

class InlineKeyboardButton implements TypeInterface
{
	/** @var Type Description */
	public Type $field;

	/** @var string Label text on the button */
	public string $text;

	/** @var string|null Optional. HTTP url to be opened when button is pressed */
	public ?string $url = null;

	/** @var string|null Optional. Data to be sent in a callback query to the bot when button is pressed, 1-64 bytes */
	public ?string $callbackData = null;

	/** @var string|null Optional. If set, pressing the button will prompt the user to select one of their chats, open that chat and insert the bot‘s username and the specified inline query in the input field. Can be empty, in which case just the bot’s username will be inserted.Note: This offers an easy way for users to start using your bot in inline mode when they are currently in a private chat with it. Especially useful when combined with switch_pm… actions – in this case the user will be automatically returned to the chat they switched from, skipping the chat selection screen. */
	public ?string $switchInlineQuery = null;
}
